MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000785XdebugUsage problems (Wrong Results)public2012-03-01 21:442013-05-26 00:17
Reportercmcbride 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.2.4 
Summary0000785: The Xdebug Profiler does not handle closures and call_user_func_array well
DescriptionI'm not sure if the problem is with kcachegrind or with Xdebug, but if you have code that calls closures, it breaks the call graph. You can see the call graph before and after the closure call, but not the whole graph linked to together. Is it possible to assign each closure a unique name so kcachegrind knows to make the correct links?
TagsNo tags attached.
Operating System
PHP Version5.3.9
Attached Files

- Relationships

-  Notes
(0002492)
derick (administrator)
2013-05-26 00:17

Fixed for Xdebug 2.2.4

- Issue History
Date Modified Username Field Change
2012-03-01 21:44 cmcbride New Issue
2012-03-12 16:25 derick Target Version => 2.2.0
2012-05-08 22:34 derick Target Version 2.2.0 => 2.2.1
2012-07-14 23:14 derick Target Version 2.2.1 => 2.2.2
2013-03-23 14:50 derick Target Version 2.2.2 => 2.2.3
2013-05-22 04:51 derick Target Version 2.2.3 => 2.2.x
2013-05-26 00:17 derick Note Added: 0002492
2013-05-26 00:17 derick Status new => closed
2013-05-26 00:17 derick Assigned To => derick
2013-05-26 00:17 derick Resolution open => fixed
2013-05-26 00:17 derick Fixed in Version => 2.2.4
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker